# API Reference

Welcome to the v1 API reference for the Zuora Billing, Payments, and Platform!
If you are new to the Zuora API, start with our [Get started](https://developer.zuora.com/docs/get-started/introduction) guide to make your first call.
To learn about the common use cases of the Zuora v1 API, check out the [API Tutorials](https://developer.zuora.com/docs/get-started/tutorials/).
**Important**: This API Reference only showcases the parameters, fields, and behaviors available for the latest API minor version (`2025-08-12`).
For more information about Zuora API versions, see [API versions](https://developer.zuora.com/v1-api-reference/api-versions/) and [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).
We recommend that you upgrade to the latest API version to take advantage of the latest Zuora capabilities.
For instructions about upgrading the API version, see [API upgrade guide](https://developer.zuora.com/v1-api-reference/api-upgrade-guide/).
Try the v1 API in our Postman collection:

Some of our older APIs are no longer recommended but still available, not
affecting any existing integration. To find related API documentation, see
[Older API
Reference](https://developer.zuora.com/v1-api-reference/older-api/overview/).
The 4-byte UTF-8 characters are not supported for text fields, such as the account names or bill-to contacts' first and last names.
### More OpenAPI specification options
To support your integration with our OpenAPI specifications, whether using in-house solutions or third-party tools, we provide the following resources:
- **Order-to-Cash operations (detailed)**: Download Order-to-Cash OpenAPI spec, which includes full descriptions and examples
- **Order-to-Cash operations (compact)**: Download Order-to-Cash Compact OpenAPI spec, which excludes descriptions and code examples.
- **Full OpenAPI spec (compact)**: Download Compact OpenAPI Spec, which covers the entire API set without descriptions or samples.

If you need a different API specification beyond the options above, contact Zuora Global Support, and we will provide a custom spec tailored to your needs.

Version: 2026-11-06

## Servers

US Developer & Central Sandbox (incl. Test Drive)
```
https://rest.test.zuora.com
```

US API Sandbox Cloud 1
```
https://rest.sandbox.na.zuora.com
```

US API Sandbox Cloud 2
```
https://rest.apisandbox.zuora.com
```

US Production Cloud 1
```
https://rest.na.zuora.com
```

US Production Cloud 2
```
https://rest.zuora.com
```

EU Developer & Central Sandbox
```
https://rest.test.eu.zuora.com
```

EU API Sandbox
```
https://rest.sandbox.eu.zuora.com
```

EU Production
```
https://rest.eu.zuora.com
```

APAC Developer & Central Sandbox
```
https://rest.test.ap.zuora.com
```

APAC Production
```
https://rest.ap.zuora.com
```

## Security

### bearerAuth

Use `Bearer {{token}}` in the `Authorization` header for authentication.

Type: http
Scheme: bearer

### basicAuth

The user name is the email address that you use for logging in Zuora. The password is the API token that is shown in the settings of Configurable Payment Retry.


Type: http
Scheme: basic

## Download OpenAPI description

 - [API Reference](https://developer.zuora.com/_bundle/v1-api-reference/api.yaml)

## OAuth

 - [POST /oauth/token](https://developer.zuora.com/v1-api-reference/api/oauth/createtoken.md): Creates a bearer token that enables an OAuth client to authenticate with the Zuora REST API. The OAuth client must have been created using the Zuora UI. See [Authentication](https://developer.zuora.co
## Commerce

 - [POST /commerce/attributes/batchQuery](https://developer.zuora.com/v1-api-reference/api/commerce/batchqueryattributemetadataforproductrateplans.md): Returns the union set of Dynamic Pricing attribute metadata for each requested product rate plan (PRP). For a given PRP, the response includes attributes declared on any nested product rate plan charg
 - [POST /commerce/billable-metrics](https://developer.zuora.com/v1-api-reference/api/commerce/createbillablemetric.md): Creates a billable metric that numbered metered features can use to measure entitlement usage. Specify the event types to process, the aggregation method, optional filters, computed properties, and g
 - [GET /commerce/billable-metrics](https://developer.zuora.com/v1-api-reference/api/commerce/getbillablemetrics.md): Lists billable metrics that numbered metered features can use to measure entitlement usage.
 - [GET /commerce/billable-metrics/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/getbillablemetric.md): Retrieves a billable metric by its unique identifier or metric number.
 - [PUT /commerce/billable-metrics/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/updatebillablemetric.md): Updates an existing billable metric. Use this operation to change fields such as `name`, `description`, `filters`, `computed_properties`, and `group_keys`. Include `metric_key` in the request body to
 - [DELETE /commerce/billable-metrics/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/deletebillablemetric.md): Deletes a billable metric by its unique identifier.
 - [POST /commerce/features](https://developer.zuora.com/v1-api-reference/api/commerce/createfeature.md): Creates a catalog feature. Supported feature types are boolean (`bool`), enum (`enumType`), numbered metered, and numbered unmetered. Numbered metered features must include `metricId` to reference a b
 - [GET /commerce/features](https://developer.zuora.com/v1-api-reference/api/commerce/getfeatures.md): Lists catalog features, including boolean, enum, numbered metered, and numbered unmetered features.
 - [PUT /commerce/features](https://developer.zuora.com/v1-api-reference/api/commerce/updatefeature.md): Updates an existing catalog feature. Use this operation to change fields such as `name`, `description`, `values`, and `tags`. Omit `tags` to preserve existing tags. Send `clear_tags: true` to remove a
 - [POST /commerce/features/search](https://developer.zuora.com/v1-api-reference/api/commerce/searchfeatures.md): Searches catalog features. Use `filters` to match fields such as `feature_type` or `feature_tag`, or send `filter.feature_tag`. Soft-deleted features are excluded from the results.
 - [GET /commerce/features/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/getfeature.md): Retrieves a catalog feature by its unique identifier.
 - [DELETE /commerce/features/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/deletefeature.md): Deletes a catalog feature by its unique identifier.
 - [POST /commerce/charges](https://developer.zuora.com/v1-api-reference/api/commerce/createproductrateplanchargewithdynamicpricing.md): Create a product rate plan charge (PRPC) in the Product Catalog. Use this endpoint to configure Dynamic Pricing, including default pricing at the charge level and conditional rate cards evaluated by
 - [PUT /commerce/charges](https://developer.zuora.com/v1-api-reference/api/commerce/updateproductrateplanchargewithdynamicpricing.md): Update an existing product rate plan charge (PRPC). Use this API to update default pricing and/or conditional rate cards.
 - [POST /commerce/charges/batchQuery](https://developer.zuora.com/v1-api-reference/api/commerce/batchqueryproductrateplanchargeswithdynamicpricing.md): Batch-queries product rate plan charges (PRPCs) with Dynamic Pricing support. The functionality matches "Query a product rate plan charge with Dynamic Pricing" (`POST /commerce/charges/query`), except
 - [POST /commerce/charges/query](https://developer.zuora.com/v1-api-reference/api/commerce/queryproductrateplanchargewithdynamicpricing.md): Returns a product rate plan charge (PRPC) by evaluating Dynamic Pricing against the provided attribute values. If a matching rate-card row is found, its pricing is returned; otherwise, the default c
 - [POST /commerce/products](https://developer.zuora.com/v1-api-reference/api/commerce/createproduct.md): Create a product in the Product Catalog with one or more plans and charges. Charges can be usage (per-unit), recurring (flat fee), or other supported models.
 - [PUT /commerce/products](https://developer.zuora.com/v1-api-reference/api/commerce/updateproduct.md): Updates an existing product in the Product Catalog. Use this API to update core product fields such as name, description, category, effective dates, and custom fields.
 - [POST /commerce/plans](https://developer.zuora.com/v1-api-reference/api/commerce/createplan.md): Create a product rate plan (Plan) under an existing product. A plan includes one or more **charges**. Each charge **must** include: - `name` - `charge_model` - `charge_type` - `bill_cycle` - `trigger_
 - [PUT /commerce/plans](https://developer.zuora.com/v1-api-reference/api/commerce/updateproductrateplan.md): Updates an existing Product Rate Plan (PRP) in the Product Catalog. Use this API to update core plan fields such as name, description, grade, and effective dates.
 - [POST /commerce/plans/query](https://developer.zuora.com/v1-api-reference/api/commerce/querycommerceproductrateplans.md): Retrieve details of a **single** product rate plan (PRP) from the Product Catalog. You can expand associated product rate plan charges for each plan. This operation is a **strict lookup** and **requir
 - [POST /commerce/plans/list](https://developer.zuora.com/v1-api-reference/api/commerce/querycommerceplanslist.md): Queries product rate plans (PRPs) from the Product Catalog using filters such as plan ID, name, or product ID. You can optionally expand related Product Rate Plan Charges (PRPCs) in the response.
 - [POST /commerce/plans/{id}/entitlements](https://developer.zuora.com/v1-api-reference/api/commerce/createentitlementdefinition.md): Creates a catalog entitlement definition on a plan. The definition associates a product feature with the plan. Include `featureNumber` or `feature_number`. Numbered features can include `quantity` or
 - [PUT /commerce/plans/entitlements](https://developer.zuora.com/v1-api-reference/api/commerce/updateentitlementdefinition.md): Updates a catalog entitlement definition. Use this operation to link the definition to a charge, set boolean values, or change enforcement settings.
 - [GET /commerce/plans/entitlements/{id}](https://developer.zuora.com/v1-api-reference/api/commerce/getentitlementdefinition.md): Retrieves a catalog entitlement definition by its unique identifier or entitlement number. A catalog entitlement definition is not a runtime entitlement grant. Runtime grants are created by the Z-EMS
 - [POST /commerce/products/{product_key}](https://developer.zuora.com/v1-api-reference/api/commerce/getproductbykey.md): Retrieves detailed information about a specific product by its unique product number or ID. You can optionally specify related objects to expand in the request body.
 - [PUT /commerce/products/{id}/features/add](https://developer.zuora.com/v1-api-reference/api/commerce/addproductfeature.md): Links a catalog feature to a product. Include `feature_number` or `featureNumber`. After a feature is linked to a product, you can create an entitlement definition on a plan that belongs to that produ
 - [POST /commerce/legacy/products/list](https://developer.zuora.com/v1-api-reference/api/commerce/querylegacyproducts.md): This operation is functionally equivalent to the "Query products from the Product Catalog" operation, except that it returns results in the **V1 response format**. It is primarily intended for custome
 - [PUT /commerce/tiers](https://developer.zuora.com/v1-api-reference/api/commerce/updatetier.md): Updates the price and other editable attributes, when supported, for a specific **Product Rate Plan Charge Tier**.
 - [POST /commerce/purchase-options/list](https://developer.zuora.com/v1-api-reference/api/commerce/querypurchaseoptionsbyprpid.md): Retrieves one or more product rate plans (PRPs) from the Product Catalog based on specified filters such as product ID or PRP ID. You can optionally expand related product rate plan charges (PRPCs) in
 - [GET /commerce/entitlements/audit-events](https://developer.zuora.com/v1-api-reference/api/commerce/getentitlementauditevents.md): Lists entitlement audit events. Filter results by account, feature, grant, subscription, event type, and date.
 - [POST /commerce/entitlements/authorize](https://developer.zuora.com/v1-api-reference/api/commerce/authorizeentitlementconsumption.md): Authorizes consumption against a numbered metered feature and deducts `requestedQuantity` from the remaining entitlement balance when the request is allowed.
 - [POST /commerce/entitlements/bulk-challenge](https://developer.zuora.com/v1-api-reference/api/commerce/validateentitlementsbytag.md): Checks whether an account has access to features that match `featureTag`, or to the features in `featureKeys`. Do not send `featureTag` and `featureKey` in the same request.
 - [POST /commerce/entitlements/bulk-check](https://developer.zuora.com/v1-api-reference/api/commerce/validateentitlementfeatures.md): Checks whether an account has access to multiple features in one request. Include `requestedQuantity` when evaluating numbered metered features.
 - [POST /commerce/entitlements/bulk-grant](https://developer.zuora.com/v1-api-reference/api/commerce/bulkgrantentitlements.md): Creates runtime entitlement grants for multiple accounts or subscriptions in a single call. Each item uses the same shape as `POST /commerce/entitlements/grant`, but this operation reports each item's
 - [POST /commerce/entitlements/bulk-revoke](https://developer.zuora.com/v1-api-reference/api/commerce/bulkrevokeentitlements.md): Revokes one or more runtime entitlement grants. Include `revokedDate` when the revocation should take effect on a specific date.
 - [POST /commerce/entitlements/challenge](https://developer.zuora.com/v1-api-reference/api/commerce/validateentitlementaccess.md): Checks whether an account has access to a feature. For numbered metered features, include `requestedQuantity`. For enum features, include `enumValues`.
 - [POST /commerce/entitlements/grant](https://developer.zuora.com/v1-api-reference/api/commerce/createentitlementgrants.md): Creates one or more runtime entitlement grants. Use this operation to issue a manual grant for an account, independently of a catalog entitlement definition on a plan.
 - [GET /commerce/entitlements/grants](https://developer.zuora.com/v1-api-reference/api/commerce/getentitlementgrants.md): Lists runtime entitlement grants. Filter results by account, subscription, feature, state, or charge source.
 - [GET /commerce/entitlements/grants/{entitlementKey}](https://developer.zuora.com/v1-api-reference/api/commerce/getentitlementgrant.md): Retrieves one runtime entitlement grant by its entitlement key.
 - [POST /commerce/entitlements/{entitlementKey}/modify](https://developer.zuora.com/v1-api-reference/api/commerce/updateentitlementgrant.md): Updates the dates or quantity of a runtime entitlement grant. Use `redate` with `startDate` and/or `endDate` to change the grant term, or `increment` and `decrement` with `delta` to change the granted
 - [POST /commerce/entitlements/{entitlementKey}/state](https://developer.zuora.com/v1-api-reference/api/commerce/updateentitlementgrantstate.md): Updates the state of a runtime entitlement grant. Supported `action` values are `pause`, `resume`, `activate`, `deactivate`, and `revoke`.
## Accounts

 - [POST /v1/accounts](https://developer.zuora.com/v1-api-reference/api/accounts/post_account.md): Creates a customer account with a payment method, a bill-to contact, and optional sold-to and ship-to contacts. Request and response field descriptions and sample code are provided. Use this operation
 - [DELETE /v1/accounts/{account-key}](https://developer.zuora.com/v1-api-reference/api/accounts/delete_account.md): Deletes a specific account asynchronously. **Notes and Limitations:** - For account deletion, the system will start a backend job to remove all transactions under the accounts and change the status of
 - [GET /v1/accounts/{account-key}](https://developer.zuora.com/v1-api-reference/api/accounts/get_account.md): Retrieves basic information about a customer account. This operation is a quick retrieval that doesn't include the account's subscriptions, invoices, payments, or usage details. Use Get account summa
 - [PUT /v1/accounts/{account-key}](https://developer.zuora.com/v1-api-reference/api/accounts/put_account.md): Updates a customer account by specifying the account-key. ### Notes 1. Only the fields to be changed should be specified. Any field that is not included in the request body will not be changed. 2. If
 - [GET /v1/accounts/{account-key}/payment-methods](https://developer.zuora.com/v1-api-reference/api/accounts/get_acountpaymentmethods.md): Retrieves the payment methods of the specified customer account. **Note:** This operation also supports retrieving custom payment methods created through the [Open Payment Method](https://docs.zuora.c
 - [GET /v1/accounts/{account-key}/payment-methods/cascading](https://developer.zuora.com/v1-api-reference/api/accounts/getaccountpaymentmethodcascading.md): Zuora provides the Cascading Payment Method feature to dynamically retry the failed payment with alternative payment methods according to a predefined priority list. Use this API operation to retrieve
 - [PUT /v1/accounts/{account-key}/payment-methods/cascading](https://developer.zuora.com/v1-api-reference/api/accounts/putaccountpaymentmethodcascading.md): Zuora provides the Cascading Payment Method feature to dynamically retry the failed payment with alternative payment methods according to a predefined priority list. Use this API operation to configur
 - [GET /v1/accounts/{account-key}/payment-methods/default](https://developer.zuora.com/v1-api-reference/api/accounts/get_acountdefaultpaymentmethod.md): Retrieves the default payment method of the specified customer account. **Notes:** This operation also supports retrieving the custom payment method created through the [Open Payment Method](https://d
 - [GET /v1/accounts/{account-key}/summary](https://developer.zuora.com/v1-api-reference/api/accounts/get_accountsummary.md): Retrieves detailed information about the specified customer account. The response includes the account information and a summary of the account’s subscriptions, invoices, payments, and usages. ### Not
## Contacts

 - [POST /v1/contacts](https://developer.zuora.com/v1-api-reference/api/contacts/post_createcontact.md): Creates a contact for a specified account. Each account must have at least one contact before it can be saved. You can add a maximum of 2000 contacts to an account.
 - [DELETE /v1/contacts/{contactId}](https://developer.zuora.com/v1-api-reference/api/contacts/delete_contact.md): Deletes a contact.
 - [GET /v1/contacts/{contactId}](https://developer.zuora.com/v1-api-reference/api/contacts/get_contact.md): Retrieves detailed information about a specific contact.
 - [PUT /v1/contacts/{contactId}](https://developer.zuora.com/v1-api-reference/api/contacts/put_contact.md): Updates a contact for a specified account. You can update contacts for cancelled accounts.
 - [PUT /v1/contacts/{contactId}/transfer](https://developer.zuora.com/v1-api-reference/api/contacts/transfercontent.md): This operation transfers contacts of the accounts within the Customer Hierarchy when removing the account.
 - [PUT /v1/contacts/{contactId}/scrub](https://developer.zuora.com/v1-api-reference/api/contacts/put_scrubcontact.md): Scrubs the sensitive data of a specific contact. You can use this operation to replace all sensitive data in a contact and its related contact snapshot with dummy values that will be stored in Zuora d
## Contact Snapshots

 - [GET /v1/contact-snapshots/{contact-snapshot-id}](https://developer.zuora.com/v1-api-reference/api/contact-snapshots/get_contactsnapshot.md): Retrieves detailed information about the snapshot of a contact, either a bill-to contact or sold-to contact.
## Sign Up

 - [POST /v1/sign-up](https://developer.zuora.com/v1-api-reference/api/sign-up/post_signup.md): This call performs many actions. You can use this operation to implement the standard requirements for signing up a customer, such as validating the uniqueness of an account and limiting the number of
## Orders

 - [POST /v1/orders/preview](https://developer.zuora.com/v1-api-reference/api/orders/post_previeworder.md): **Notes**: - This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access
 - [POST /v1/async/orders/preview](https://developer.zuora.com/v1-api-reference/api/orders/post_previeworderasynchronously.md): **Notes:** - This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orde
 - [GET /v1/orders](https://developer.zuora.com/v1-api-reference/api/orders/get_allorders.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/or
 - [POST /v1/orders](https://developer.zuora.com/v1-api-reference/api/orders/post_order.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/
 - [POST /v1/async/orders](https://developer.zuora.com/v1-api-reference/api/orders/post_createorderasynchronously.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/
 - [DELETE /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/delete_order.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [GET /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_order.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/put_order.md): **Notes:** - This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend cust
 - [DELETE /v1/async/orders/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/deleteorderasynchronously.md): **Note:** This operation is only available if you have the Orders feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the
 - [GET /v1/async-jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/orders/get_jobstatusandresponse.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [GET /v1/orders/subscriptionOwner/{accountNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbysubscriptionowner.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [GET /v1/orders/subscription/{subscriptionNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbysubscriptionnumber.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [GET /v1/orders/invoiceOwner/{accountNumber}](https://developer.zuora.com/v1-api-reference/api/orders/get_ordersbyinvoiceowner.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/orders/{orderNumber}/customFields](https://developer.zuora.com/v1-api-reference/api/orders/put_updateordercustomfields.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
 - [PUT /v1/subscriptions/{subscriptionNumber}/customFields](https://developer.zuora.com/v1-api-reference/api/orders/put_updatesubscriptioncustomfields.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/triggerDates](https://developer.zuora.com/v1-api-reference/api/orders/put_ordertriggerdates.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/activate](https://developer.zuora.com/v1-api-reference/api/orders/put_orderactivate.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [PUT /v1/orders/{orderNumber}/cancel](https://developer.zuora.com/v1-api-reference/api/orders/put_ordercancel.md): **Note:** This operation is only available if you have the [Orders](https://docs.zuora.com?resourceId=billing-overview-orders) feature enabled. If you are an existing Zuora Subscribe and Amend custome
 - [POST /v1/orders/commitments/{commitmentNumber}/associations/rescan](https://developer.zuora.com/v1-api-reference/api/orders/rescancommitmentaccountassociations.md): Re-evaluates a commitment's account eligibility condition against current account data and activates (inserts or reactivates) any newly-eligible accounts. This operation is **additive only**: it never
 - [GET /v1/orders/deltaMetrics/{orderNumber}](https://developer.zuora.com/v1-api-reference/api/orders/getorderdeltametricsbyordernumber.md): **Note**: This operation is only available if you have the [Order Delta Metrics](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transac
 - [GET /v1/orders/subscription/{subscription-key}/pending](https://developer.zuora.com/v1-api-reference/api/orders/get_pendingordersbysubscriptionnumber.md): **Note:** This feature is only available if you have the [Order Metrics](https://docs.zuora.com?resourceId=billing-order-metrics) feature enabled. As of Zuora Billing Release 284, Orders is generally
## Order Actions

 - [PUT /v1/orderActions/{id}](https://developer.zuora.com/v1-api-reference/api/order-actions/put_orderactions.md): Updates the change reason and custom fields for an order action.
## Order Line Items

 - [GET /v1/order-line-items/{itemId}](https://developer.zuora.com/v1-api-reference/api/order-line-items/get_orderlineitem.md): **Note:** The [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature is now gener
 - [PUT /v1/order-line-items/{itemId}](https://developer.zuora.com/v1-api-reference/api/order-line-items/put_orderlineitem.md): **Note:** The [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature is now gener
 - [POST /v1/order-line-items/bulk](https://developer.zuora.com/v1-api-reference/api/order-line-items/post_orderlineitems.md): **Note:** The [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature is now gener
## Fulfillments

 - [POST /v1/fulfillments](https://developer.zuora.com/v1-api-reference/api/fulfillments/create_fulfillment.md): Creates one or multiple Fulfillment objects. You can also generate invoices or memos for these Fulfillment objects in this API call. The following tutorials demonstrate how to use this operation: * [C
 - [DELETE /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/delete_fulfillment.md): Deletes a specified fulfillment. A fulfillment can only be deleted when it is in the `Executing` state.
 - [GET /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/get_fulfillment.md): Retrieves the detailed information about a specified fulfillment. The following tutorial demonstrates how to use this operation: * [View details of a fulfillment](https://docs.zuora.com?resourceId=bil
 - [PUT /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/put_fulfillment.md): Updates a specified fulfillment. The `state` field of a fulfillment can only be updated when it is in a different state, to trigger the state transition. The other fields of a fulfillment can only be
 - [POST /v1/fulfillment-items](https://developer.zuora.com/v1-api-reference/api/fulfillments/create_fulfillmentitem.md): Creates one or multiple fulfillment items.
 - [DELETE /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/delete_fulfillmentitem.md): Deletes a specified fulfillment item.
 - [GET /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/get_fulfillmentitem.md): Retrieves the detailed information about a specified fulfillment item.
 - [PUT /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/put_fulfillmentitem.md): Updates a specified fulfillment item.
## Ramps

 - [GET /v1/ramps/{rampNumber}](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampbyrampnumber.md): **Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscr
 - [GET /v1/ramps/{rampNumber}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbyrampnumber.md): **Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscr
 - [GET /v1/subscriptions/{subscriptionKey}/ramps](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampsbysubscriptionkey.md): **Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscr
 - [GET /v1/subscriptions/{subscriptionKey}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbysubscriptionkey.md): **Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscr
 - [GET /v1/orders/{orderNumber}/ramp-metrics](https://developer.zuora.com/v1-api-reference/api/ramps/get_rampmetricsbyordernumber.md): **Note**: This operation is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscr
## Subscriptions

 - [POST /v1/subscriptions/preview](https://developer.zuora.com/v1-api-reference/api/subscriptions/post_previewsubscription.md): The REST API reference describes how to create a new subscription in preview mode. This call does not require a valid customer account. It can be used to show potential new customers a preview of a su
 - [POST /v1/subscriptions/{subscription-key}/preview](https://developer.zuora.com/v1-api-reference/api/subscriptions/previewexistingsubscription.md): Describes how to preview an existing subscription to view information about existing and future invoices or credit memos. **Note**: The `Zuora-Version` parameter must be `207.0` or later.
 - [POST /v1/subscriptions](https://developer.zuora.com/v1-api-reference/api/subscriptions/post_subscription.md): This operation describes how to create a new subscription for an existing customer account. ### Notes If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version`
 - [GET /v1/subscriptions/accounts/{account-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbyaccount.md): Retrieves all subscriptions associated with the specified account. Zuora only returns the latest version of the subscriptions. Subscription data is returned in reverse chronological order based on `up
 - [GET /v1/subscriptions/{subscription-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbykey.md): This REST API reference describes how to retrieve detailed information about a specified subscription in the latest version.
 - [PUT /v1/subscriptions/{subscription-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_subscription.md): Use this call to make the following kinds of changes to a subscription: - Add a note - Change the renewal term or auto-renewal flag - Change the term length or change between evergreen and termed - Ad
 - [GET /v1/subscriptions/{subscription-key}/versions/{version}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbykeyandversion.md): This REST API reference describes how to retrieve detailed information about a specified subscription in a specified version. When you create a subscription amendment, you create a new version of the
 - [PUT /v1/subscriptions/{subscription-key}/renew](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_renewsubscription.md): Renews a termed subscription using existing renewal terms. When you renew a subscription, the current subscription term is extended by creating a new term. If any charge in your subscription has the
 - [PUT /v1/subscriptions/{subscription-key}/cancel](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_cancelsubscription.md): This REST API reference describes how to cancel an active subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211.0
 - [PUT /v1/subscriptions/{subscription-key}/resume](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_resumesubscription.md): This REST API reference describes how to resume a suspended subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211
 - [PUT /v1/subscriptions/{subscription-key}/suspend](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_suspendsubscription.md): This REST API reference describes how to suspend an active subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211.
 - [PUT /v1/subscriptions/{subscription-key}/delete](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_deletesubscription.md): This REST API reference describes how to delete a subscription of the specified subscription number.
 - [PUT /v1/subscriptions/{subscriptionNumber}/versions/{version}/customFields](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_updatesubscriptioncustomfieldsofaspecifiedversion.md): Updates the custom fields of a specified subscription version.
 - [GET /v1/subscriptions/subscription-metrics](https://developer.zuora.com/v1-api-reference/api/subscriptions/getmetricsbysubscriptionnumbers.md): Lists subscription metrics for the subscriptions that you specify by subscription numbers.
## Omnichannel Subscriptions

 - [POST /v1/omni-channel-subscriptions](https://developer.zuora.com/v1-api-reference/api/omnichannel-subscriptions/postomnichannelsubscription.md): Creates or updates an omnichannel subscription for a customer account. You can also create a new customer account and assign it to the new omnichannel subscription.
 - [GET /v1/omni-channel-subscriptions/{subscriptionKey}](https://developer.zuora.com/v1-api-reference/api/omnichannel-subscriptions/getomnichannelsubscription.md): Retrieves the information about a specific omnichannel subscription.
 - [DELETE /v1/omni-channel-subscriptions/{subscriptionKey}](https://developer.zuora.com/v1-api-reference/api/omnichannel-subscriptions/deleteomnichannelsubscription.md): Deletes a specified omnichannel subscription.
## Rate Plans

 - [GET /v1/rateplans/{ratePlanId}](https://developer.zuora.com/v1-api-reference/api/rate-plans/get_rateplan.md): Retrieves the detailed information about a specific subscription rate plan. - If you have the Orders feature enabled, this operation retrieves information about a subscription rate plan and the relate
## Commitments

 - [GET /commitments](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitments.md): Retrieves a paginated list of commitments for a commitment owner account.
 - [GET /commitments/{commitmentKey}](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbykey.md): Retrieves the details of a specific commitment using its ID or number.
 - [GET /commitments/periods](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentperiods.md): Lists periods of the commitment. You can paginate the results using `page` and `pageSize` query parameters.
 - [GET /commitments/{commitmentId}/balancepreview](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbalancepreview.md): Preview the balance for a commitment for current and past periods. Future periods are not covered. **Note**: This API will not work for tenants that are configured to skip commitment evaluation in Zuo
 - [GET /commitments/{commitmentKey}/schedules](https://developer.zuora.com/v1-api-reference/api/commitments/listcommitmentschedules.md): Retrieves all the schedules for a specific commitment.
 - [PUT /prepayments/{prepaymentId}/expire](https://developer.zuora.com/v1-api-reference/api/commitments/expireprepayment.md): Expires a single commitment-linked prepayment and returns the updated prepayment state. After the prepayment is expired, it does not participate in future drawdown.
 - [GET /commitments/{commitmentKey}/commitmentChanges](https://developer.zuora.com/v1-api-reference/api/commitments/listcommitmenthistoricalchanges.md): Lists the historical changes made to a specific commitment, ordered by the most recent changes first. Notes: - Owner Transfer on Commitment accounts will transfer the associated subscription charges f
## Prepaid with Drawdown

 - [POST /v1/ppdd/reverse-rollover](https://developer.zuora.com/v1-api-reference/api/prepaid-with-drawdown/post_reverserollover.md): This REST API reference describes how to manually reverse fund rollover from source validity period to destination validity period. There are no path or query parameters. **Note**: This API will not w
 - [POST /v1/ppdd/rollover](https://developer.zuora.com/v1-api-reference/api/prepaid-with-drawdown/post_rollover.md): Prepaid with Drawdown Rollover enables you to transfer the accumulative carryover of your customers’ prepaid balance funds to the following validity period when using Prepaid with Drawdown. This REST
 - [POST /v1/prepaid-balance-funds/deplete](https://developer.zuora.com/v1-api-reference/api/prepaid-with-drawdown/expireprepaidfunds.md): Depletes prepaid balance funds. A fund is depleted only when it exists, is not deleted, has a balance greater than zero, and its source type is a prepayment fund: charge-based unit funds, upfront curr
## Usage

 - [Note on dynamic pricing usage charges](https://developer.zuora.com/v1-api-reference/api/usage/note-on-dynamic-pricing-usage-charges.md): ### Note on dynamic pricing usage charges Legacy Billing Usage APIs (for example, "Upload a usage file" and the "CRUD: Create/Update/Delete a usage record" operations) can support usage records that
 - [POST /v1/usage](https://developer.zuora.com/v1-api-reference/api/usage/post_usage.md): This REST API reference describes how to post or import usage data for one or more accounts in the CSV format. There are no path or query parameters. The data is uploaded using the HTTP multipart/form
 - [GET /v1/invoices/invoice-item/{invoice-item-id}/usage-rate-detail](https://developer.zuora.com/v1-api-reference/api/usage/get_usage_rate_detail_by_invoice_item.md): Use this REST API operation to retrieve the usage rate detail for an invoice item to understand how the total amount is calculated. The information is the same as the Rate Detail presented on [PDF inv
 - [POST /v1/object/usage](https://developer.zuora.com/v1-api-reference/api/usage/object_postusage.md): Creates a usage record.
 - [DELETE /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_deleteusage.md): Deletes a usage record. Usage records that are associated with a dynamic pricing usage charge cannot be deleted with this legacy Billing endpoint. When a delete request targets such a record, the oper
 - [GET /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_getusage.md): Retrieve a usage record.
 - [PUT /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_putusage.md): Updates a usage record. Updating usage records that are associated with a dynamic pricing usage charge is not supported through this endpoint. The request fails and the record is not updated. Use Medi
## Meters

 - [POST /meters/run/{meterId}/{version}](https://developer.zuora.com/v1-api-reference/api/meters/runspecificversionofmeter.md): Executes a specific version of a meter in Zuora Mediation. You can choose to run it with either a local file or event store source by providing optional configurations. **Note on long-running meters a
 - [POST /meters/stop/{meterId}/{version}](https://developer.zuora.com/v1-api-reference/api/meters/stopmeterversion.md): Stops all runnable NORMAL-mode runs for a specific version of a meter in Zuora Mediation. By default, the API gracefully stops streaming meters by creating a savepoint. Streaming stops are asynchronou
 - [POST /meters/debug/{meterId}/{version}](https://developer.zuora.com/v1-api-reference/api/meters/testspecificversionofmeter.md): Test a specific version of a meter in Zuora Mediation without executing a full run. It supports multiple input methods, including uploaded files, sample files, and manual test data. This is useful for
 - [POST /meters/{meterId}/summary](https://developer.zuora.com/v1-api-reference/api/meters/retrievemetersummarydata.md): Retrieves summary data for a specific meter in Zuora Mediation, providing a rolled-up view of a meter run or time window. The API supports grouping by Operator ID, Error Code, or Session ID, and allow
 - [GET /meters/{meterId}/{version}/runStatus](https://developer.zuora.com/v1-api-reference/api/meters/getrunstatusofspecificmeterversion.md): Retrieves the current run status of a specific meter version in Zuora Mediation. It returns an integer code indicating the status, such as `RUNNING`, `COMPLETED`, or `FAILED`, which helps monitor the
 - [GET /meters/export/{meterId}](https://developer.zuora.com/v1-api-reference/api/meters/exportspecificmeter.md): The Export Meter operation exports the full definition of a specific meter in Zuora Mediation, including metadata, all versions, event schemas, and operator configurations (source, processor, sink). I
 - [POST /meters/import](https://developer.zuora.com/v1-api-reference/api/meters/importmeterdefinition.md): Import a meter definition into Zuora Mediation using a file exported from the Export Meter API.
## Data Ingestion

 - [POST /meters/files](https://developer.zuora.com/v1-api-reference/api/data-ingestion/uploadmeteringfile.md): Uploads and stores a file in Zuora Mediation for use in meter processing. Supported formats include CSV, Excel, and JSON. You can specify metadata like headers, delimiters, sheets, and data ranges.
 - [POST /usage/bulk/{meterGlobalId}](https://developer.zuora.com/v1-api-reference/api/data-ingestion/ingestusageevents.md): Ingests usage events directly into Zuora Mediation in real time. You can send a single event or batch multiple events in a JSON array to optimize throughput. Each event must conform to the meter's eve
## Audit Trail

 - [GET /meters/{meterId}/auditTrail/entries](https://developer.zuora.com/v1-api-reference/api/audit-trail/getaudittrailentriesformeter.md): Retrieves the audit trail entries for a specific meter in Zuora Mediation. The API provides detailed, record-level information about what happened during processing, including Payload and error detail
 - [GET /meters/{meterId}/auditTrail/export](https://developer.zuora.com/v1-api-reference/api/audit-trail/getaudittrailexportjobs.md): Retrieves the list of previously initiated export jobs for a specific meter in Zuora Mediation. You can filter the results by export type, session IDs, or request ID by using the `exportType`, `sessio
 - [POST /meters/{meterId}/auditTrail/export](https://developer.zuora.com/v1-api-reference/api/audit-trail/createaudittrailexportjob.md): Creates a background job to export the audit trail entries for a specific meter in Zuora Mediation. This API is for large-scale, offline access to audit data. Only one export job is processed per tena
 - [GET /meters/auditTrail/presignedUrl](https://developer.zuora.com/v1-api-reference/api/audit-trail/getpresignedurlformeterexport.md): Returns a pre-signed URL that you can use to download a specific export file (usually from object storage such as S3). The `fileKey` corresponds to one entry from the `fileList` array in the List API.
 - [GET /meters/{meterId}/prefetchAudit](https://developer.zuora.com/v1-api-reference/api/audit-trail/listprefetchauditrecords.md): List audit records for prefetch operations by processor ID with filtering and cursor-based pagination.
## Event Store

 - [POST /meters/events/bulkDelete](https://developer.zuora.com/v1-api-reference/api/event-store/bulkdeleteeventsfromeventstore.md): Allows you to delete multiple events from an event store in Zuora Mediation using a file that lists the event IDs to be removed. It is useful for cleaning up or correcting data in bulk.
 - [GET /meters/events/stores/{eventStoreId}/jobs/latest](https://developer.zuora.com/v1-api-reference/api/event-store/getlatestqueryjobofspecificeventstore.md): Retrieves the most recent query job executed on a specific event store in Zuora Mediation. It returns metadata such as query type (for example, DELETE), status, record counts, and timestamps.
 - [POST /meters/events/stores/{eventStoreId}/truncate](https://developer.zuora.com/v1-api-reference/api/event-store/truncateeventstore.md): Truncates (deletes) all events from a specific event store in Zuora Mediation. This operation runs asynchronously and returns a query job identifier that you can use with the Event Store query job AP
 - [POST /meters/event-store-queries](https://developer.zuora.com/v1-api-reference/api/event-store/submiteventstorequery.md): Submits a SQL-style asynchronous query to the Event Store to retrieve and inspect metering events for validation, troubleshooting, and reconciliation. The API returns a `queryId` that can be used to p
 - [GET /meters/event-store-queries/{queryId}](https://developer.zuora.com/v1-api-reference/api/event-store/getqueryresultsforeventstore.md): Retrieves paginated result rows and column metadata for a previously submitted Event Store query using its `queryId`, including total row count, row-level field values, and readiness status. Query exe
## Delivery Adjustments

 - [GET /v1/adjustments](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/get_subscription_adjustments.md): Describes how to retrieve detailed information about delivery adjustments of a subscription. **Note**: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedba
 - [POST /v1/adjustments](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/create_adjustment.md): Describes how to create one or more delivery adjustments for a subscription. **Notes**: - The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a sma
 - [POST /v1/adjustments/preview](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/preview_adjustment.md): Describes how to preview delivery adjustments of a subscription. **Notes**: - The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of ea
 - [GET /v1/adjustments/{adjustment-key}](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/get_adjustment.md): Describes how to retrieve detailed information about a delivery adjustment. **Note**: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small s
 - [PUT /v1/adjustments/{adjustmentId}/cancel](https://developer.zuora.com/v1-api-reference/api/delivery-adjustments/put_canceladjustment.md): Describes how to cancel an unbilled delivery adjustment. **Note**: The Delivery Adjustments feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopter
## Billing Documents

 - [GET /v1/billing-documents](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocuments.md): Retrieves the information about all billing documents associated with a specified account. The billing documents contain invoices, credit memos, and debit memos. To retrieve information about credit m
 - [POST /v1/accounts/billing-documents/files/deletion-jobs](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_billingdocumentfilesdeletionjob.md): Creates an asynchronous job to permanently delete all billing document PDF files for specific accounts. After the deletion job is completed, all billing document PDF files are permanently deleted. To
 - [GET /v1/accounts/billing-documents/files/deletion-jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocumentfilesdeletionjob.md): Retrieves information about an asynchronous job of permanently deleting all billing document PDF files for specific accounts. **Note**: This operation can be used only if you have the Billing user per
 - [POST /v1/accounts/{key}/billing-documents/generate](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_generatebillingdocuments.md): Generates draft or posted billing documents for a specified account. You can also generate billing documents for specified subscriptions of a specified account. The billing documents contain invoices
## Invoices

 - [POST /v1/invoices](https://developer.zuora.com/v1-api-reference/api/invoices/post_standaloneinvoice.md): Creates a standalone invoice for selling physical goods, services or other items on a non-recurring basis to your subscription customers. To use this operation, you must have the **Modify Invoice** an
 - [PUT /v1/invoices](https://developer.zuora.com/v1-api-reference/api/invoices/put_batchupdateinvoices.md): Updates multiple invoices in batches with one call. The following tutorials demonstrate how to use this operation: - Add and delete invoice items of draft standalone invoices - Edit due dates of draft
 - [POST /v1/invoices/batch](https://developer.zuora.com/v1-api-reference/api/invoices/post_standaloneinvoices.md): Creates multiple standalone invoices for selling physical goods, services or other items on a non-recurring basis to your subscription customers. To use this operation, you must have the **Modify Invo
 - [POST /v1/invoices/bulk-post](https://developer.zuora.com/v1-api-reference/api/invoices/post_postinvoices.md): Posts multiple invoices. You can post a maximum of 50 invoices in one single request. Additionally, you can also update invoice dates while posting the invoices. **Note** : This operation is synchrono
 - [GET /v1/invoices/pdf-status](https://developer.zuora.com/v1-api-reference/api/invoices/getinvoicepdfstatus.md): Retrieves the PDF generation statuses of a batch of invoices.
 - [DELETE /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/delete_deleteinvoice.md): Deletes a specific invoice. Whether to delete an invoice synchronously or asynchronously depends on the number of invoice items contained in the invoice. By default, if an invoice contains less than 1
 - [GET /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/get_getinvoice.md): Retrieves a specific invoice.
 - [PUT /v1/invoices/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/invoices/put_updateinvoice.md): Updates a specific invoice. The following tutorials demonstrate how to use this operation: - Add and delete invoice items of draft standalone invoices - Edit due dates of draft standalone invoices - E
 - [PUT /v1/invoices/{invoiceKey}/cancel](https://developer.zuora.com/v1-api-reference/api/invoices/cancelinvoice.md): Cancel the invoice synchronously or asynchronously based on the number of invoice items it contains. By default, Zuora cancels invoices with fewer than 1,000 invoice items synchronously and cancels in
 - [GET /v1/invoices/{invoiceKey}/application-parts](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoiceapplicationparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/invoices/{invoiceKey}/emails](https://developer.zuora.com/v1-api-reference/api/invoices/post_emailinvoice.md): Sends a posted invoice to the specified email addresses manually. ### Notes - You must activate the **Manual Email For Invoice | Manual Email For Invoice** notification before emailing invoices. To in
 - [GET /v1/invoices/{invoiceKey}/files](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoicefiles.md): Retrieves the information about all PDF files of a specified invoice. Invoice PDF files are returned in reverse chronological order by the value of the `versionNumber` field. **Note**: This API only r
 - [POST /v1/invoices/{invoiceKey}/files](https://developer.zuora.com/v1-api-reference/api/invoices/post_uploadfileforinvoice.md): Uploads an externally generated invoice PDF file for an invoice that is in Draft or Posted status. To use this operation, you must enable the Modify Invoice permission. See [Billing Permissions](https
 - [GET /v1/invoices/{invoiceKey}/items](https://developer.zuora.com/v1-api-reference/api/invoices/get_invoiceitems.md): Retrieves the information about all items of a specified invoice.
 - [GET /v1/invoices/{invoiceKey}/items/{itemId}/taxation-items](https://developer.zuora.com/v1-api-reference/api/invoices/get_taxationitemsofinvoiceitem.md): Retrieves information about the taxation items of a specific invoice item.
 - [PUT /v1/invoices/{invoiceKey}/reverse](https://developer.zuora.com/v1-api-reference/api/invoices/put_reverseinvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/invoices/{invoiceKey}/split](https://developer.zuora.com/v1-api-reference/api/invoices/splitinvoice.md): Splits a draft invoice into 2 to 20 invoices based on specified amounts or percentages. The source invoice must be in Draft status. For amount-based splits, the sum of all split amounts must exactly e
 - [POST /v1/invoices/{invoiceKey}/taxation-items](https://developer.zuora.com/v1-api-reference/api/invoices/post_inv_taxationitems.md): Creates taxation items for an invoice.
 - [POST /v1/invoices/{invoiceKey}/write-off-async](https://developer.zuora.com/v1-api-reference/api/invoices/writeoffinvoiceasync.md): Asynchronously writes off a posted invoice. By writing off an invoice, a credit memo is created and applied to the invoice. If the invoice contains more than 2,000 items, this operation is performed a
 - [GET /v1/invoices/write-off-async-jobs/{asyncJobId}](https://developer.zuora.com/v1-api-reference/api/invoices/retrieveinvoicewriteoffasyncjob.md): Retrieves information about a specific asynchronous invoice write-off job. **Note:** This operation is only available if you have Invoice Settlement enabled. This feature includes Unapplied Payments,
 - [PUT /v1/invoices/{invoiceKey}/write-off](https://developer.zuora.com/v1-api-reference/api/invoices/put_writeoffinvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/invoices/{invoiceKey}/unpost](https://developer.zuora.com/v1-api-reference/api/invoices/unpostinvoice.md): Unposts a posted invoice and changes its status to `Draft`. - For invoices with a large number of invoice items, Zuora might process this operation asynchronously. In this case, the response returns `
## Credit Memos

 - [GET /v1/credit-memos](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemos.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemofromprpc.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_createcreditmemos.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_updatecreditmemos.md): **Notes:** - This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally availa
 - [GET /v1/credit-memos/pdf-status](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemopdfstatus.md): Retrieves the PDF generation statuses of a batch of credit memos.
 - [GET /v1/credit-memos/{creditMemoId}/items/{cmitemid}/taxation-items](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_taxationitemsofcreditmemoitem.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoId}/write-off](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_writeoffcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [DELETE /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/delete_creditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_updatecreditmemo.md): **Notes:** - This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally availa
 - [PUT /v1/credit-memos/{creditMemoKey}/apply](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_applycreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/cancel](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_cancelcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/{creditMemoKey}/emails](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_emailcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/{creditMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_uploadfileforcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/{creditMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemofiles.md): Retrieves the information about all PDF files of a specified credit memo. Credit Memo PDF files are returned in reverse chronological order by the value of the `versionNumber` field. **Note**: This AP
 - [GET /v1/credit-memos/{creditMemoKey}/items](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoitems.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/{creditMemoKey}/items/{cmitemid}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoitem.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/{creditMemoKey}/parts](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemoparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/{creditMemoKey}/parts/{partid}](https://developer.zuora.com/v1-api-reference/api/credit-memos/get_creditmemopart.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/{creditMemoKey}/pdfs](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemopdf.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/post](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_postcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/{creditMemoKey}/refund](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_refundcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/reverse](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_reversecreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/{creditMemoKey}/taxation-items](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_cm_taxationitems.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/unapply](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_unapplycreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/unpost](https://developer.zuora.com/v1-api-reference/api/credit-memos/put_unpostcreditmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/credit-memos/invoice/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/credit-memos/post_creditmemofrominvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/unapply-async-jobs/{unapplyAsyncJobId}](https://developer.zuora.com/v1-api-reference/api/credit-memos/getunapplycreditmemoasyncjob.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/credit-memos/apply-async-jobs/{applyAsyncJobId}](https://developer.zuora.com/v1-api-reference/api/credit-memos/getapplycreditmemoasyncjob.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/apply-async](https://developer.zuora.com/v1-api-reference/api/credit-memos/applycreditmemoasync.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/credit-memos/{creditMemoKey}/unapply-async](https://developer.zuora.com/v1-api-reference/api/credit-memos/unapplycreditmemoasync.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
## Debit Memos

 - [GET /v1/debit-memos](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemos.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_debitmemofromprpc.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_updatedebitmemosduedates.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_createdebitmemos.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos/bulk](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_updatedebitmemos.md): **Notes:** - This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally availa
 - [GET /v1/debit-memos/pdf-status](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemopdfstatus.md): Retrieves the PDF generation statuses of a batch of debit memos.
 - [GET /v1/debit-memos/{debitMemoId}/application-parts](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemoapplicationparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/debit-memos/{debitMemoId}/items/{dmitemid}/taxation-items](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_taxationitemsofdebitmemoitem.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [DELETE /v1/debit-memos/{debitMemoKey}](https://developer.zuora.com/v1-api-reference/api/debit-memos/delete_debitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/debit-memos/{debitMemoKey}](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos/{debitMemoKey}](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_debitmemo.md): **Notes:** - This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally availa
 - [PUT /v1/debit-memos/{debitMemoKey}/cancel](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_canceldebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/{debitMemoKey}/collect](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_debitmemocollect.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/{debitMemoKey}/emails](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_emaildebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/{debitMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_uploadfilefordebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/debit-memos/{debitMemoKey}/files](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemofiles.md): Retrieves the information about all PDF files of a specified debit memo. Debit Memo PDF files are returned in reverse chronological order by the value of the `versionNumber` field. **Note**: This API
 - [GET /v1/debit-memos/{debitMemoKey}/items](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemoitems.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/debit-memos/{debitMemoKey}/items/{dmitemid}](https://developer.zuora.com/v1-api-reference/api/debit-memos/get_debitmemoitem.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/{debitMemoKey}/pdfs](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_debitmemopdf.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos/{debitMemoKey}/post](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_postdebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/{debitMemoKey}/taxation-items](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_dm_taxationitems.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos/{debitMemoKey}/unpost](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_unpostdebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [POST /v1/debit-memos/invoice/{invoiceKey}](https://developer.zuora.com/v1-api-reference/api/debit-memos/post_debitmemofrominvoice.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/debit-memos/{debitMemoKey}/write-off](https://developer.zuora.com/v1-api-reference/api/debit-memos/put_writeoffdebitmemo.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
## E-Invoicing

 - [GET /v1/einvoice/service-providers](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingserviceproviders.md): Lists information about e-invoicing service providers. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [POST /v1/einvoice/service-providers](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_einvoicingserviceprovider.md): Creates an e-invoicing service provider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [DELETE /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicingserviceprovider.md): Deletes an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [GET /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingserviceprovider.md): Retrieves information about an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/einvoice/service-providers/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_updateeinvoicingserviceprovider.md): Updates information about an e-invoicing service privider. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [GET /v1/einvoice/business-regions](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingbusinessregions.md): Lists information about e-invoicing business regions. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [POST /v1/einvoice/business-regions](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_createeinvoicingbusinessregion.md): Creates an e-invoicing business region. You must create business regions to store the business detail information as a seller. If you have multiple GSTINs for different states, you can create multiple
 - [DELETE /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicingbusinessregion.md): Deletes an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**: This operation is available only if you have the E-Invoicing feature
 - [GET /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicingbusinessregion.md): Retrieves information about an e-invoicing business region. You can search for an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**
 - [PUT /v1/einvoice/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_updateeinvoicingbusinessregion.md): Updates an e-invoicing business region by key. The key can be the unique ID or number of an e-invoicing business region. **Note**: This operation is available only if you have the E-Invoicing feature
 - [GET /v1/e-invoice/mandates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicemandates.md): Fetches mandates for downloading files based on the country code, category, and process type selection. This API operation returns the the list of file formats in which the document can be downloaded.
 - [GET /v1/invoices/{invoiceKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicemandateoninvoice.md): Fetches mandates for downloading e-invoice based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for Avalara i
 - [GET /v1/credit-memos/{creditMemoKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicecreditmemomandate.md): Fetches mandates for downloading a Credit Memo file based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for
 - [GET /v1/debit-memos/{debitMemoKey}/e-invoice/mandate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicedebitmemomandate.md): Fetches mandates for downloading a Debit Memo file based on the country code, category, and process type selection. **Note**: This operation is available only if you have the E-Invoicing feature for A
 - [GET /v1/invoices/{invoiceKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloadeinvoiceofspecifiedformat.md): Downloads the e-invoice based on the selected file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [GET /v1/credit-memos/{creditMemoKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloadcreditmemoeinvoice.md): Downloads the credit memo based on the specified file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [GET /v1/debit-memos/{debitMemoKey}/e-invoice/download](https://developer.zuora.com/v1-api-reference/api/e-invoicing/downloaddebitmemoeinvoice.md): Downloads the debit memo based on the specified file format. The system supports XML, UBL, PNG, or QR codes formats that each country requires or supports.
 - [PUT /v1/invoices/{invoiceKey}/e-invoice/cancel](https://developer.zuora.com/v1-api-reference/api/e-invoicing/canceleinvoicebyinvoicekey.md): Cancels the E-Invoice for the given billing document
 - [GET /v1/einvoice/templates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicefiletemplates.md): Lists information about e-invoice file templates. You can query e-invoice file templates by conditions. For example, if your service provider is Sovos, you can use the following example URL to retriev
 - [POST /v1/einvoice/templates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/post_createeinvoicefiletemplate.md): Creates an e-invoice file templates for your billing documents, including invoices, credit memos, and debit memos. Zuora provides default e-invoice file templates, so you can just customize them as ne
 - [DELETE /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/delete_einvoicefiletemplate.md): Deletes an e-invoice file template by key. The key can be the unique ID or number of an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Ear
 - [GET /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/get_einvoicefiletemplate.md): Retrieves information about an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/einvoice/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_einvoicefiletemplate.md): Updates information about an e-invoice file template. **Note**: This operation is available only if you have the E-Invoicing feature in **Early Adopter** phase enabled.
 - [PUT /v1/invoices/{invoiceKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updateinvoiceinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the e-Invoice. **Note**: This API can on
 - [PUT /v1/debit-memos/{debitMemoKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updatedebitmemoinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the debit memo. **Note**: This API can o
 - [PUT /v1/credit-memos/{creditMemoKey}/e-invoice/sync-status](https://developer.zuora.com/v1-api-reference/api/e-invoicing/updatecreditmemoinvokesyncstatus.md): Initiates a background polling process to retrieve the latest notification response from the configured e-Invoicing provider and update the e-Invoice status of the credit memo. **Note**: This API can
 - [PUT /v1/invoices/{invoiceKey}/einvoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generationeinvoicegenerationforinvoices.md): Generates an e-invoice file for an invoice. If the invoice status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regeneration,
 - [PUT /v1/credit-memos/{creditMemoKey}/e-invoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generateeinvoicefileforcreditmemo.md): Generates an e-invoice file for a credit memo. If the Credit Memo status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regene
 - [PUT /v1/debit-memos/{debitMemoKey}/e-invoice/generate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/put_generateeinvoicefilefordebitmemo.md): Generates an e-invoice file for a debit memo. If the Credit Memo status is **Failed** during e-invoice generation, you can use **Regenerate E-Invoice**. Once you fix the errors and trigger the regener
 - [POST /v1/e-compliance/lifecycle/status-update](https://developer.zuora.com/v1-api-reference/api/e-invoicing/createeinvoicelifecyclestatusupdate.md): Creates a seller-initiated status update request for an e-invoice lifecycle. Use this operation to notify the tax authority when the business status of a source document changes, such as when payment
 - [GET /v1/e-compliance/lifecycle/status-updates](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicelifecyclestatusupdates.md): Lists e-invoice business lifecycle status update audit records, optionally filtered by document, status, and requested action.
 - [GET /v1/e-compliance/lifecycle/status-updates/{key}](https://developer.zuora.com/v1-api-reference/api/e-invoicing/geteinvoicelifecyclestatusupdate.md): Retrieves a single e-invoice business lifecycle status update audit record by its unique identifier.
 - [POST /v1/e-compliance/reconcile](https://developer.zuora.com/v1-api-reference/api/e-invoicing/reconcileecompliance.md): Reconciles an e-compliance request for the supplied source object. **Note**: In the broader e-compliance workflow, this operation can work alongside the "Create an e-invoice lifecycle status update" o
 - [POST /v1/e-compliance/trigger](https://developer.zuora.com/v1-api-reference/api/e-invoicing/triggerecompliancerequest.md): Creates an e-compliance request for the supplied source object.
 - [POST /v1/e-compliance/regenerate](https://developer.zuora.com/v1-api-reference/api/e-invoicing/regenerateecompliancerequest.md): Regenerates a failed or rejected e-compliance request.
## E-Reporting

 - [POST /v1/e-compliance/reconcile](https://developer.zuora.com/v1-api-reference/api/e-reporting/reconcileecompliance.md): Reconciles an e-compliance request for the supplied source object. **Note**: In the broader e-compliance workflow, this operation can work alongside the "Create an e-invoice lifecycle status update" o
 - [GET /v1/e-reporting/templates](https://developer.zuora.com/v1-api-reference/api/e-reporting/getereportingtemplates.md): Lists information about e-reporting templates.
 - [POST /v1/e-reporting/templates](https://developer.zuora.com/v1-api-reference/api/e-reporting/createereportingtemplate.md): Creates an e-reporting template.
 - [DELETE /v1/e-reporting/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/deleteereportingtemplate.md): Deletes an e-reporting template.
 - [GET /v1/e-reporting/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/getereportingtemplate.md): Retrieves an e-reporting template.
 - [PUT /v1/e-reporting/templates/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/updateereportingtemplate.md): Updates an e-reporting template
 - [GET /v1/e-reporting/business-regions](https://developer.zuora.com/v1-api-reference/api/e-reporting/listereportingbusinessregions.md): Lists e-reporting business regions.
 - [POST /v1/e-reporting/business-regions](https://developer.zuora.com/v1-api-reference/api/e-reporting/createereportingbusinessregion.md): Creates an e-reporting business region.
 - [DELETE /v1/e-reporting/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/deleteereportingbusinessregion.md): Deletes an e-reporting business region.
 - [GET /v1/e-reporting/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/getereportingbusinessregion.md): Retrieves an e-reporting business region.
 - [PUT /v1/e-reporting/business-regions/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/updateereportingbusinessregion.md): Updates an e-reporting business region.
 - [GET /v1/e-compliance/e-reporting/requests](https://developer.zuora.com/v1-api-reference/api/e-reporting/getereportingrequests.md): Lists e-reporting requests, optionally filtered by source object and status.
 - [GET /v1/e-compliance/e-reporting/requests/{key}](https://developer.zuora.com/v1-api-reference/api/e-reporting/getereportingrequest.md): Retrieves a single e-reporting request by its unique identifier.
 - [GET /v1/e-compliance/{complianceType}/files/{sourceObjectType}/{sourceObjectId}](https://developer.zuora.com/v1-api-reference/api/e-reporting/downloadecompliancefile.md): Downloads the provider-certified compliance document for the given source object. The response Content-Type depends on the format returned by the provider (e.g. application/xml or application/pdf).
 - [GET /v1/e-compliance/{complianceType}/snapshots/{sourceObjectType}/{sourceObjectId}](https://developer.zuora.com/v1-api-reference/api/e-reporting/downloadecompliancesnapshot.md): Downloads the provider-certified compliance snapshot for the given source object. The snapshot contains the raw payload submitted to the compliance provider.
 - [POST /v1/e-compliance/trigger](https://developer.zuora.com/v1-api-reference/api/e-reporting/triggerecompliancerequest.md): Creates an e-compliance request for the supplied source object.
 - [POST /v1/e-compliance/regenerate](https://developer.zuora.com/v1-api-reference/api/e-reporting/regenerateecompliancerequest.md): Regenerates a failed or rejected e-compliance request.
## Invoice Schedules

 - [POST /v1/invoice-schedules](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/post_createinvoiceschedule.md): Creates an invoice schedule. ### Limitations This API operation has the following limitations: * You can create at most 50 invoice schedule items in one request. * You can associate at most 10 orders
 - [DELETE /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/delete_invoiceschedule.md): Deletes an invoice schedule in Pending status. The status of the invoice schedule to be deleted must be `Pending`. **Note**: This operation is available only if you have the Billing Schedule feature e
 - [GET /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/get_invoiceschedule.md): Retrieves detailed information about an invoice schedule. **Note**: This operation is available only if you have the Billing Schedule feature enabled.
 - [PUT /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_updateinvoiceschedule.md): Updates a pending invoice schedule. You can use this API operation to update invoice schedules in the following aspects: - Update notes and pending invoice schedule items - Update orders associated wi
 - [POST /v1/invoice-schedules/{scheduleKey}/execute](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/post_executeinvoiceschedule.md): Executes an invoice schedule immediately. During the execution, a bill run is created and generates an invoice or a credit memo asynchronously. When you use this API operation to execute an invoice sc
 - [PUT /v1/invoice-schedules/{scheduleKey}/pause](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_pauseinvoiceschedule.md): Pauses an invoice schedule immediately. A paused invoice schedule and charges inside cannot be automatically executed by Zuora Scheduler or by the Execute an invoice schedule API operation. In this ca
 - [PUT /v1/invoice-schedules/{scheduleKey}/resume](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_resumeinvoiceschedule.md): Resumes an invoice schedule in Paused status immediately. After an invoice schedule is resumed, it can continue to be automatically executed by Zuora Scheduler or by the [Execute an invoice schedule](
 - [PUT /v1/invoice-schedules/{scheduleKey}/detach](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/detachchargesfrominvoiceschedule.md): Detaches charges from an invoice schedule. The invoice schedules you want to detach charges from must be in Fully Processed or Partially Processed status. Invoice schedules do not bill detached charge
 - [PUT /v1/invoice-schedules/{scheduleKey}/attach](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/attachchargestoinvoiceschedule.md): Attaches charges to an invoice schedule. The invoice schedules you want to attach charges to must be in Fully Processed or Partially Processed status. You can attach charges only if they were previou
## Taxation Items

 - [POST /v1/object/taxation-item](https://developer.zuora.com/v1-api-reference/api/taxation-items/object_posttaxationitem.md): Creates a Taxation Item object.
 - [DELETE /v1/taxation-items/{id}](https://developer.zuora.com/v1-api-reference/api/taxation-items/delete_taxationitem.md): Deletes a specific taxation item by ID.
 - [GET /v1/taxation-items/{id}](https://developer.zuora.com/v1-api-reference/api/taxation-items/get_taxationitem.md): Retrieves the information about a specific taxation item by ID.
 - [PUT /v1/taxation-items/{id}](https://developer.zuora.com/v1-api-reference/api/taxation-items/put_taxationitem.md): Updates a specific taxation item by ID.
## Sequence Sets

 - [GET /v1/sequence-sets](https://developer.zuora.com/v1-api-reference/api/sequence-sets/get_sequencesets.md): Retrieves information about all sequence sets configured for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos. You can use query parameters t
 - [POST /v1/sequence-sets](https://developer.zuora.com/v1-api-reference/api/sequence-sets/post_sequencesets.md): Creates sequence sets, allowing distinct numbering sequences for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos. You can create a maximum o
 - [DELETE /v1/sequence-sets/{id}](https://developer.zuora.com/v1-api-reference/api/sequence-sets/delete_sequenceset.md): Deletes a specific sequence set configured for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos. **Note**: The Credit and Debit Memos feature
 - [GET /v1/sequence-sets/{id}](https://developer.zuora.com/v1-api-reference/api/sequence-sets/get_sequenceset.md): Retrieves information about a specific sequence set configured for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos **Note**: The Credit and
 - [PUT /v1/sequence-sets/{id}](https://developer.zuora.com/v1-api-reference/api/sequence-sets/put_sequenceset.md): Updates a specific sequence set configured for billing documents, payments, and refunds. Billing documents include invoices, credit memos, and debit memos. **Note**: The Credit and Debit Memos feature
## Operations

 - [POST /v1/operations/billing-preview](https://developer.zuora.com/v1-api-reference/api/operations/post_billingpreview.md): Generates a preview of future invoice items for one customer account. Use the BillingPreview call to calculate how much a single customer will be invoiced from the most recent invoice to a specific en
 - [POST /v1/operations/invoice-collect](https://developer.zuora.com/v1-api-reference/api/operations/post_transactioninvoicepayment.md): Generates and posts invoices and credit memos, and collects payments for posted invoices. Credit memos are only available if you have the Invoice Settlement feature enabled and negative charges exist.
 - [GET /v1/operations/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/operations/get_operationjob.md): Retrieves information about a specific operation job. Currently, you can use this API operation to retrieve the status information about invoice deletion and reversal operation jobs, as well as summa
 - [POST /v1/operations/bulk-pdf](https://developer.zuora.com/v1-api-reference/api/operations/create_bulkpdftozipgeneration.md): The background job that compresses large number of PDF(s) into ZIP files. For answers to frequently asked questions regarding exporting bulk PDF files, see Export Bulk PDF Files FAQs. **Note**: Do not
 - [GET /v1/operations/bulk-pdf/{jobId}](https://developer.zuora.com/v1-api-reference/api/operations/get_bulkpdftozipgeneration.md): Retrieves information about the job which includes its status, message, and downloadable ZIP file URL link.
## Summary Statements

 - [POST /v1/summary-statement-runs](https://developer.zuora.com/v1-api-reference/api/summary-statements/createsummarystatementrun.md): Allows you to initiate the generation of a summary statement run. You can specify parameters such as the run type (AdHoc or scheduled) and the target account categories (single or multiple accounts).
 - [DELETE /v1/summary-statement-runs/{summaryStatementRunKey}](https://developer.zuora.com/v1-api-reference/api/summary-statements/deletesummarystatementrun.md): Deletes a specific summary statement run and all its associated statements. Whether to delete a run synchronously or asynchronously depends on the number of statements contained in the run. By default
 - [DELETE /v1/summary-statements/{summaryStatementKey}](https://developer.zuora.com/v1-api-reference/api/summary-statements/deletesummarystatement.md): Deletes a specific summary statement. You can delete a summary statement only when both the summary statement and its parent summary statement run are in terminal states. Allowed summary statement sta
## Bill Run

 - [POST /v1/bill-runs](https://developer.zuora.com/v1-api-reference/api/bill-run/post_createbillrun.md): Creates an ad-hoc bill run or a scheduled bill run. Support the following: - Create ad-hoc or scheduled bill runs by batch - Create ad-hoc or scheduled bill runs by account - Create a bill run by subs
 - [DELETE /v1/bill-runs/{billRunId}](https://developer.zuora.com/v1-api-reference/api/bill-run/delete_deletebillrun.md): Deletes a bill run. You can only delete bill runs in `Canceled` or `Error` status.
 - [GET /v1/bill-runs/{billRunId}](https://developer.zuora.com/v1-api-reference/api/bill-run/get_billrun.md): Retrieves the information about a specific bill run.
 - [PUT /v1/bill-runs/{billRunId}/cancel](https://developer.zuora.com/v1-api-reference/api/bill-run/put_cancelbillrun.md): Cancels a bill run in Draft status. When cancelling a scheduled bill run, keep the following information in mind: - If you set `cancelOnce` to `true`, only the current bill run is cancelled. The other
[...]
